<?php
/**
 * cioverride_helper.php - Put all the helper functions that overrides the CI helper functions here.
 *
 * @author $Author: dtong $
 * @version $Id: cioverride_helper.php,v 1.1 2011/08/30 13:25:47 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

/*
 * Fetches a language variable and optionally outputs a form label.
 * This overrides the CI lang() function. The main difference - if a lang string is not defined
 * then the lang index is printed.
 *
 * @access	public
 * @param	string	$indexname
 * 	The index name for the language text
 * @param	bool		$return_var
 * 	true - returns index name if language text is not defined.
 * 	false - returns false if text is not defined.
 * @param	string	$id
 * 	The id of the form element. We are not using this yet.
 * @return	string
 */
function lang($indexname, $return_var=TRUE, $id = '') {
	static $CI = NULL;
	if ( $CI === NULL ) {
		$CI =& get_instance();
	}
	if ( ($text = $CI->lang->line($indexname)) === FALSE && $return_var) {
		$text = "[{$indexname}]";
	}

	if ($id != '')
	{
		$text = '<label for="'.$id.'">'.$text."</label>";
	}

	return $text;
}
